<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Mitarbeiter\RaumUebersicht\RaumDetails\Detailsreiter\Termine\ShowFilterTermine;

class ShowFilterTermineController extends \Kufer\Web\KuferTools\Basis\Raumbelegung\Raumdetails\Detailsreiter\Termine\ShowFilterTermine\ShowFilterTermineController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new ShowFilterTermineUseCase(
      $this->getRequestObj()
    );
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new ShowFilterTerminePresenter($pUseCaseResponse);
  }
}